From 587886c3b742241d69c1ee4702e5e601e77a07f9 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 02:44:22 +0200
Subject: [PATCH] strace: fix build on ppc*-musl

[ci skip]
---
 srcpkgs/strace/patches/ppc-musl.patch | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/strace/patches/ppc-musl.patch

diff --git a/srcpkgs/strace/patches/ppc-musl.patch b/srcpkgs/strace/patches/ppc-musl.patch
new file mode 100644
index 00000000000..511153f9293
--- /dev/null
+++ b/srcpkgs/strace/patches/ppc-musl.patch
@@ -0,0 +1,16 @@
+--- regs.h
++++ regs.h
+@@ -8,7 +8,13 @@
+ #ifndef STRACE_REGS_H
+ # define STRACE_REGS_H
+ 
++#if !defined(__GLIBC__) && defined(__powerpc__)
++# define pt_regs musl_pt_regs
+ # include <sys/user.h>
++# undef pt_regs
++#else
++# include <sys/user.h>
++#endif
+ # include "arch_regs.h"
+ 
+ #endif /* !STRACE_REGS_H */
